# Class: Query

## helma.Search.Query()

Base class for the various query constructors. Don't call this directly, as it provides just basic methods used in all of its extends.

## Constructor

#### new Query()

Creates a new instance of helma.Search.Query

Source:
  - helma/Search.js, line 816

### Methods

#### getBoost()

Returns the boost factor of this query.

Source:
  - helma/Search.js, line 845

#### getQuery()

Returns the wrapped Lucene Query object.

Source:
  - helma/Search.js, line 832

##### Returns:

The wrapped query object

#### setBoost(fact)

Sets the boost factor of this query clause to the given number. Documents matching this query will have their score multiplied with the given factor

##### Parameters:

Name | Type | Description
--- | --- | ---
`fact` | Number | The factor to multiply the score of matching documents with.

Source:
  - helma/Search.js, line 857